> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stably.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get test run status and results

> Get the status and results of a test run



## OpenAPI

````yaml https://api.stably.ai/openapi.json get /v1/projects/{projectId}/runs/{runId}
openapi: 3.1.1
info:
  title: Stably Public API
  description: Interact with your Stably tests from anywhere
  version: 1.0.0
servers:
  - url: https://api.stably.ai
    description: Production Server
security: []
paths:
  /v1/projects/{projectId}/runs/{runId}:
    get:
      tags:
        - runner
      summary: Get test run status and results
      description: Get the status and results of a test run
      parameters:
        - schema:
            type: string
          in: path
          name: projectId
          required: true
        - schema:
            type: string
          in: path
          name: runId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - QUEUED
                      - RUNNING
                      - PASSED
                      - FAILED
                      - TIMEDOUT
                      - CANCELLED
                      - INTERRUPTED
                    description: Overall status of the test run
                  startedAt:
                    description: ISO timestamp when the run started (null for queued runs)
                    type: string
                  finishedAt:
                    description: ISO timestamp when the run finished
                    type: string
                  branchName:
                    description: Git branch name associated with this run
                    type: string
                  results:
                    description: Test results (only present when status is not running)
                    type: object
                    properties:
                      testCases:
                        type: array
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: Test case title
                            status:
                              type: string
                              enum:
                                - QUEUED
                                - RUNNING
                                - PASSED
                                - FAILED
                                - TIMEDOUT
                                - SKIPPED
                                - INTERRUPTED
                                - FLAKY
                              description: Test case status
                            durationMs:
                              description: Test duration in milliseconds
                              type: number
                          required:
                            - title
                            - status
                          additionalProperties: false
                    required:
                      - testCases
                    additionalProperties: false
                required:
                  - status
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
                description: Run not found
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````